export function toObjMap(obj) {
    if (obj == null) {
        return Object.create(null);
    }
    if (Object.getPrototypeOf(obj) === null) {
        return obj;
    }
    const map = Object.create(null);
    for (const [key, value] of Object.entries(obj)) {
        map[key] = value;
    }
    return map;
}
export function toObjMapWithSymbols(obj) {
    if (obj == null) {
        return Object.create(null);
    }
    if (Object.getPrototypeOf(obj) === null) {
        return obj;
    }
    const map = Object.create(null);
    for (const [key, value] of Object.entries(obj)) {
        map[key] = value;
    }
    for (const key of Object.getOwnPropertySymbols(obj)) {
        map[key] = obj[key];
    }
    return map;
}
//# sourceMappingURL=toObjMap.js.map